<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>Change password</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>Change password</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Change Password Section ======= -->
    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Change your password by filling out the form
                    below</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:object="${changePass}"
                          th:action="@{/profile/change-pass/__${changePass.getUserId()}__}" method="post"
                          enctype="multipart/form-data" role="form"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">

                                <label for="oldPass"><b>Your old password</b></label>
                                <label th:if="${wrongOldPass != null}" th:text="${wrongOldPass}"
                                       style="color: red; font-weight: bold"></label>
                                <label th:errors="*{oldPass}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{oldPass}" type="password" class="form-control" name="phone"
                                       id="oldPass"
                                       placeholder="Enter your password"
                                />
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label th:if="${samePasswords != null}" th:text="${samePasswords}"
                                       style="color: red; font-weight: bold"></label>
                                <label for="password"><b>New password</b></label>
                                <label th:errors="*{newPass}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{newPass}" type="password" class="form-control" name="phone"
                                       id="password"
                                       pattern="^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[#?!@$%^*-]).{8,}$"
                                       title="The password should be minimum 8 characters, with at least one uppercase letter, one lowercase letter, one number and one special character(#?!@$%^*-)"
                                       placeholder="Enter your password"
                                />
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label th:if="${passDontMatch != null}" th:text="${passDontMatch}"
                                       style="color: red; font-weight: bold"></label>
                                <label for="psw-repeat"><b>Confirm password</b></label>
                                <input th:field="*{confirmNewPass}" type="password" class="form-control"
                                       name="phone" id="psw-repeat"
                                       pattern="^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[#?!@$%^*-]).{8,}$"
                                       title="The password should be minimum 8 characters, with at least one uppercase letter, one lowercase letter, one number and one special character(#?!@$%^*-)"
                                       placeholder="Re-enter your password"
                                />
                            </div>
                        </div>

                        <input th:value="${changePass.getUserId()}" th:field="*{userId}" hidden>

                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message"></div>
                        </div>
                        <div class="text-center">
                            <button type="submit">Save</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Change Password Section -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>
<script src="/assets/js/file-upload.js"></script>
<script type="text/javascript">
    var offer = document.getElementById("profile-active")
    offer.classList.add("active")
</script>

</body>
</html>